System.Web 2.0.0.0 System.Enum

The enumeration values indicate whether a page or control should be compiled at run time. When no compilation mode is specified, the default value is . Setting a page to never compile using the attribute will increase performance by disqualifying the specified page in the compilation process. To define a page-specific attribute that specifies an .aspx, .ascx or .master file should not be compiled at the page level, you can use a directive like the following:

<%@ page compilationMode="never" %>

The compilation mode can also be specified in configuration files. The configuration section object identifies page-specific configuration settings. The pages configuration section element can be declared at the machine, site, application, and subdirectory levels of the configuration files.

If the is set to and a page contains a script block or code construct that requires compilation, ASP.NET will return with an error and the page will not run.

Defines constants that specify how ASP.NET should compile .aspx pages and .ascx controls.

- Field
  System.Web.UI.CompilationMode

  The page should always be compiled.

  2.0.0.0
- Field
  System.Web.UI.CompilationMode

  ASP.NET will not compile the page, if possible.

  2.0.0.0
- Field
  System.Web.UI.CompilationMode

  The page or control should never be dynamically compiled.

  2.0.0.0